Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.deployment
Class AspectManagerService

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.aop.deployment.AspectManagerService

All Implemented Interfaces:
  AspectManagerServiceMBean, org.jboss.aop.AspectNotificationHandler, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

Direct Known Subclasses:
  AspectManagerService32

public class AspectManagerService
extends org.jboss.system.ServiceMBeanSupport
implements AspectManagerServiceMBean, org.jboss.aop.AspectNotificationHandler

Version:
  $Revision: 1.16.2.10 $
Author:
  Bill Burke

Field Summary
`static javax.management.ObjectName` | `DEFAULT_LOADER_REPOSITORY`
`protected boolean` | `enableLoadtimeWeaving`
`protected boolean` | `enableTransformer`
`protected String` | `exclude`
`protected String` | `ignore`
`protected String` | `include`
`protected boolean` | `suppressReferenceErrors`
`protected boolean` | `suppressTransformationErrors`
`protected File` | `tmpClassesDir`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`AspectManagerService()`

Method Summary
`String` | `aspectDefinitions()` The temporary directory to which dyn class files are written
`void` | `attachClass(String classname)`
`protected void` | `attachDeprecatedTranslator()`
`protected void` | `attachTranslator()`
`protected void` | `baseAop()`
`String` | `bindings()` The temporary directory to which dyn class files are written
`protected org.jboss.aop.ClassLoaderValidation` | `createClassLoaderValidation()`
`protected org.jboss.aop.ClassPoolFactory` | `createFactory()`
`protected void` | `createService()`
`protected void` | `detachDeprecatedTranslator()`
`protected void` | `detachTranslator()`
`boolean` | `getEnableLoadtimeWeaving()` The temporary directory to which dyn class files are written
`boolean` | `getEnableTransformer()` The temporary directory to which dyn class files are written
`String` | `getExclude()`
`String` | `getIgnore()`
`String` | `getInclude()`
`boolean` | `getOptimized()` Use aop optimizations.
`boolean` | `getPrune()`
`boolean` | `getSuppressReferenceErrors()`
`boolean` | `getSuppressTransformationErrors()`
`File` | `getTmpClassesDir()` The temporary directory to which dyn class files are written
`boolean` | `getVerbose()` Set the verbosity of aop logging.
`String` | `interceptorFactories()` The temporary directory to which dyn class files are written
`String` | `introductions()`
`String` | `registeredClassLoaders()` The temporary directory to which dyn class files are written
`void` | `setEnableLoadtimeWeaving(boolean enableTransformer)` The temporary directory to which dyn class files are written
`void` | `setEnableTransformer(boolean enableTransformer)` The temporary directory to which dyn class files are written
`void` | `setExclude(String exclude)`
`void` | `setIgnore(String ignore)`
`void` | `setInclude(String include)`
`void` | `setOptimized(boolean verbose)` Use aop optimizations.
`void` | `setPrune(boolean prune)`
`void` | `setSuppressReferenceErrors(boolean suppressReferenceErrors)`
`void` | `setSuppressTransformationErrors(boolean suppressTransformationErrors)`
`void` | `setTmpClassesDir(File tmpClassesDir)` The temporary directory to which dyn class files are written
`void` | `setVerbose(boolean verbose)` Set the verbosity of aop logging.
`String` | `stacks()` The temporary directory to which dyn class files are written
`protected void` | `startService()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### DEFAULT_LOADER_REPOSITORY

    public static final javax.management.ObjectName DEFAULT_LOADER_REPOSITORY

### tmpClassesDir

    protected File tmpClassesDir

### enableTransformer

    protected boolean enableTransformer

### enableLoadtimeWeaving

    protected boolean enableLoadtimeWeaving

### suppressTransformationErrors

    protected boolean suppressTransformationErrors

### suppressReferenceErrors

    protected boolean suppressReferenceErrors

### exclude

    protected String exclude

### include

    protected String include

### ignore

    protected String ignore

Constructor Detail

### AspectManagerService

    public AspectManagerService()

Method Detail

### createFactory

    protected org.jboss.aop.ClassPoolFactory createFactory()
                                                    throws Exception

  Throws:
    `Exception`

### createClassLoaderValidation

    protected org.jboss.aop.ClassLoaderValidation createClassLoaderValidation()

### createService

    protected void createService()
                          throws Exception

  Throws:
    `Exception`

### baseAop

    protected void baseAop()

### attachDeprecatedTranslator

    protected void attachDeprecatedTranslator()

### detachDeprecatedTranslator

    protected void detachDeprecatedTranslator()

### attachTranslator

    protected void attachTranslator()

### detachTranslator

    protected void detachTranslator()

### attachClass

    public void attachClass(String classname)

  Specified by:
    `attachClass` in interface `org.jboss.aop.AspectNotificationHandler`

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()

### getPrune

    public boolean getPrune()

  Specified by:
    `getPrune` in interface `AspectManagerServiceMBean`

### setPrune

    public void setPrune(boolean prune)

  Specified by:
    `setPrune` in interface `AspectManagerServiceMBean`

### getExclude

    public String getExclude()

  Specified by:
    `getExclude` in interface `AspectManagerServiceMBean`

### setExclude

    public void setExclude(String exclude)

  Specified by:
    `setExclude` in interface `AspectManagerServiceMBean`

### getInclude

    public String getInclude()

  Specified by:
    `getInclude` in interface `AspectManagerServiceMBean`

### setInclude

    public void setInclude(String include)

  Specified by:
    `setInclude` in interface `AspectManagerServiceMBean`

### getIgnore

    public String getIgnore()

  Specified by:
    `getIgnore` in interface `AspectManagerServiceMBean`

### setIgnore

    public void setIgnore(String ignore)

  Specified by:
    `setIgnore` in interface `AspectManagerServiceMBean`

### getTmpClassesDir

    public File getTmpClassesDir()

  The temporary directory to which dyn class files are written

  Specified by:
    `getTmpClassesDir` in interface `AspectManagerServiceMBean`

### setTmpClassesDir

    public void setTmpClassesDir(File tmpClassesDir)

  The temporary directory to which dyn class files are written

  Specified by:
    `setTmpClassesDir` in interface `AspectManagerServiceMBean`

### getVerbose

    public boolean getVerbose()

  Set the verbosity of aop logging. It doesn't use log4j

  Specified by:
    `getVerbose` in interface `AspectManagerServiceMBean`

### setVerbose

    public void setVerbose(boolean verbose)

  Set the verbosity of aop logging. It doesn't use log4j

  Specified by:
    `setVerbose` in interface `AspectManagerServiceMBean`

### getOptimized

    public boolean getOptimized()

  Use aop optimizations. Optional just in case there is a bug

  Specified by:
    `getOptimized` in interface `AspectManagerServiceMBean`

### setOptimized

    public void setOptimized(boolean verbose)

  Use aop optimizations. Optional just in case there is a bug

  Specified by:
    `setOptimized` in interface `AspectManagerServiceMBean`

### getSuppressTransformationErrors

    public boolean getSuppressTransformationErrors()

  Specified by:
    `getSuppressTransformationErrors` in interface `AspectManagerServiceMBean`

### setSuppressTransformationErrors

    public void setSuppressTransformationErrors(boolean suppressTransformationErrors)

  Specified by:
    `setSuppressTransformationErrors` in interface `AspectManagerServiceMBean`

### getSuppressReferenceErrors

    public boolean getSuppressReferenceErrors()

### setSuppressReferenceErrors

    public void setSuppressReferenceErrors(boolean suppressReferenceErrors)

### getEnableTransformer

    public boolean getEnableTransformer()

  The temporary directory to which dyn class files are written

  Specified by:
    `getEnableTransformer` in interface `AspectManagerServiceMBean`

### interceptorFactories

    public String interceptorFactories()

  The temporary directory to which dyn class files are written

  Specified by:
    `interceptorFactories` in interface `AspectManagerServiceMBean`

### aspectDefinitions

    public String aspectDefinitions()

  The temporary directory to which dyn class files are written

  Specified by:
    `aspectDefinitions` in interface `AspectManagerServiceMBean`

### introductions

    public String introductions()

  Specified by:
    `introductions` in interface `AspectManagerServiceMBean`

### stacks

    public String stacks()

  The temporary directory to which dyn class files are written

  Specified by:
    `stacks` in interface `AspectManagerServiceMBean`

### bindings

    public String bindings()

  The temporary directory to which dyn class files are written

  Specified by:
    `bindings` in interface `AspectManagerServiceMBean`

### registeredClassLoaders

    public String registeredClassLoaders()

  The temporary directory to which dyn class files are written

  Specified by:
    `registeredClassLoaders` in interface `AspectManagerServiceMBean`

### setEnableTransformer

    public void setEnableTransformer(boolean enableTransformer)

  The temporary directory to which dyn class files are written

  Specified by:
    `setEnableTransformer` in interface `AspectManagerServiceMBean`

### getEnableLoadtimeWeaving

    public boolean getEnableLoadtimeWeaving()

  Description copied from interface: `AspectManagerServiceMBean`
  The temporary directory to which dyn class files are written

  Specified by:
    `getEnableLoadtimeWeaving` in interface `AspectManagerServiceMBean`

### setEnableLoadtimeWeaving

    public void setEnableLoadtimeWeaving(boolean enableTransformer)

  The temporary directory to which dyn class files are written

  Specified by:
    `setEnableLoadtimeWeaving` in interface `AspectManagerServiceMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.